The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Perl File-Path: permission tampering

Synthesis of the vulnerability 

A local attacker can create a symbolic link, in order to change the access rights assigned to the pointed file, with the privileges of the process using the Perl module File::Path.
Impacted products: Debian, Fedora, Kubernetes, OpenBSD, openSUSE Leap, Solaris, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this bulletin: 2/4.
Creation date: 06/06/2017.
Références of this threat: bulletinjan2019, CVE-2017-6512, DLA-978-1, DSA-3873-1, FEDORA-2017-212f07c853, FEDORA-2017-4e981a51e6, FEDORA-2017-dd42592f9a, openSUSE-SU-2017:3101-1, SUSE-SU-2021:0449-1, USN-3625-1, USN-3625-2, VIGILANCE-VUL-22899.

Description of the vulnerability 

A local attacker can create a symbolic link, in order to change the access rights assigned to the pointed file, with the privileges of the process using the Perl module File::Path.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability announce impacts software or systems such as Debian, Fedora, Kubernetes, OpenBSD, openSUSE Leap, Solaris, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this cybersecurity threat is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer threat bulletin.

Solutions for this threat 

Debian: new perl packages.
New packages are available:
  Debian 7: perl 5.14.2-21+deb7u5
  Debian 8: perl 5.20.2-3+deb8u7

Fedora: new perl-File-Path packages.
New packages are available:
  Fedora 26: perl-File-Path 2.12-367.fc26
  Fedora 25: perl-File-Path 2.12-366.fc25
  Fedora 24: perl-File-Path 2.12-3.fc24

Kubernetes: version 1.6.7.
The version 1.6.7 is fixed:
  https://dl.k8s.io/v1.6.7/kubernetes.tar.gz

OpenBSD: patch for perl File-Path.
A patch is indicated in information sources.

openSUSE Leap: new perl packages.
New packages are available:
  openSUSE Leap 42.2: perl 5.18.2-6.3.1
  openSUSE Leap 42.3: perl 5.18.2-9.1

Oracle Solaris: patch for third party software of January 2019 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

SUSE LE 12 SP5: new perl-File-Path packages.
New packages are available:
  SUSE LE 12 SP5: perl-File-Path 2.150000-8.3.1

Ubuntu: new perl packages.
New packages are available:
  Ubuntu 17.10: perl 5.26.0-8ubuntu1.1
  Ubuntu 16.04 LTS: perl 5.22.1-9ubuntu0.3
  Ubuntu 14.04 LTS: perl 5.18.2-2ubuntu1.4
  Ubuntu 12.04 ESM: perl 5.14.2-6ubuntu2.7
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides software vulnerability bulletins. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.